<?php
/**
 * Clase Base Bean para BaseArArqueoDetalleValorBN
 *
 * @package    Sedapal
 * @subpackage BaseArArqueoDetalleValorBN
 * @author     Willy
 * @version    SVN:: BaseArArqueoDetalleValorBN.class.php,v 1.1 2020-06-30 13:51:13 william.taype Exp $
 */
abstract class BaseArArqueoDetalleValorBN
{
  protected $Idclase;
  protected $Idsucursal;
  protected $Idmercado;
  protected $Idcolaborador;
  protected $Fecha;
  protected $Idvalor;
  protected $Descripcionvalor;
  protected $Valor;
  protected $Cantidad;
  protected $Subtotal;
  protected $Fecharegistro;
  protected $Usuarioregistro;
  protected $Mensaje;
  protected $Error;

  public function getIdclase(){
    return $this->Idclase;
  }
  public function setIdclase($v1){
    $this->Idclase = $v1; 
  }

  public function getIdsucursal(){
    return $this->Idsucursal;
  }
  public function setIdsucursal($v1){
    $this->Idsucursal = $v1; 
  }

  public function getIdmercado(){
    return $this->Idmercado;
  }
  public function setIdmercado($v1){
    $this->Idmercado = $v1; 
  }

  public function getIdcolaborador(){
    return $this->Idcolaborador;
  }
  public function setIdcolaborador($v1){
    $this->Idcolaborador = $v1; 
  }

  public function getFecha(){
    return $this->Fecha;
  }
  public function setFecha($v1){
    $this->Fecha = $v1; 
  }

  public function getIdvalor(){
    return $this->Idvalor;
  }
  public function setIdvalor($v1){
    $this->Idvalor = $v1; 
  }

  public function getDescripcionvalor(){
    return $this->Descripcionvalor;
  }
  public function setDescripcionvalor($v1){
    $this->Descripcionvalor = $v1; 
  }

  public function getValor(){
    return $this->Valor;
  }
  public function setValor($v1){
    $this->Valor = $v1; 
  }

  public function getCantidad(){
    return $this->Cantidad;
  }
  public function setCantidad($v1){
    $this->Cantidad = $v1; 
  }

  public function getSubtotal(){
    return $this->Subtotal;
  }
  public function setSubtotal($v1){
    $this->Subtotal = $v1; 
  }

  public function getFecharegistro(){
    return $this->Fecharegistro;
  }
  public function setFecharegistro($v1){
    $this->Fecharegistro = $v1; 
  }

  public function getUsuarioregistro(){
    return $this->Usuarioregistro;
  }
  public function setUsuarioregistro($v1){
    $this->Usuarioregistro = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Ar_arqueo_detalle_valorBN desde un RecordSet */
  public static function retrieveByRs( $o_Ar_arqueo_detalle_valorRs )
  {
    $o_ArArqueoDetalleValorBN = new ArArqueoDetalleValorBN();
    $o_ArArqueoDetalleValorBN->setIdclase( $o_Ar_arqueo_detalle_valorRs['idclase'] );
    $o_ArArqueoDetalleValorBN->setIdsucursal( $o_Ar_arqueo_detalle_valorRs['idsucursal'] );
    $o_ArArqueoDetalleValorBN->setIdmercado( $o_Ar_arqueo_detalle_valorRs['idmercado'] );
    $o_ArArqueoDetalleValorBN->setIdcolaborador( $o_Ar_arqueo_detalle_valorRs['idcolaborador'] );
    $o_ArArqueoDetalleValorBN->setFecha( $o_Ar_arqueo_detalle_valorRs['fecha'] );
    $o_ArArqueoDetalleValorBN->setIdvalor( $o_Ar_arqueo_detalle_valorRs['idvalor'] );
    $o_ArArqueoDetalleValorBN->setDescripcionvalor( $o_Ar_arqueo_detalle_valorRs['descripcionvalor'] );
    $o_ArArqueoDetalleValorBN->setValor( $o_Ar_arqueo_detalle_valorRs['valor'] );
    $o_ArArqueoDetalleValorBN->setCantidad( $o_Ar_arqueo_detalle_valorRs['cantidad'] );
    $o_ArArqueoDetalleValorBN->setSubtotal( $o_Ar_arqueo_detalle_valorRs['subtotal'] );
    $o_ArArqueoDetalleValorBN->setFecharegistro( $o_Ar_arqueo_detalle_valorRs['fecharegistro'] );
    $o_ArArqueoDetalleValorBN->setUsuarioregistro( $o_Ar_arqueo_detalle_valorRs['usuarioregistro'] );
    return $o_ArArqueoDetalleValorBN;
  }
}